Subject: Re: [mif] What about changing [IPv6] default router rules a bit？

From: Zhen Cao <[email-masked]>
Date: Wed, 21 Oct 2009 17:36:22 +0800

>>> It's not difficult to find even home users with multiple ISP
>>> links. Both ISP's send RA's with different prefixes (A=1).
>>>
>>> Host sees now two default routers on link and will have multiple
>>> global addresses. By current rules, host can use either router for
>>> outgoing packets regardless of the selected source address.
>>
>>Not necessarily true. If the host implements the strong end system
>>model, it will choose the outgoing route regarding the selected source
>>address.
> the host how to select the source address ,RFC3484 defines the source
> address select rules,
> but in generally it does not be implement in the pc os.

Section 3.2.1.2 of draft-ietf-mif-current-practices-00, "Windows
implements [RFC3484] for source address selection in IPv6 and, in
Windows Vista, for IPv4".

Thanks for discussion.

>>
>>>
>>> I think it would be more sensible to pick the default router from the
>>> set of routers that actually advertised the prefix matching the
>>> selected source address?
>>>
>>> This would be a simple way to avoid hitting the filters of the ISP's,
>>> when wrong source address (for that ISP) is used.
>>>
>>> The IPv6 architecture assumes all routers on link "co-operate", but I
>>> think that is too much to expect from simple "home routers", the ISP
>>> would be supplying... it's better to put some intelligence into host
>>> requirements?
>>>
>>> --
>>> Markku Savela
>> _______________________________________________
>> mif mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/mif
>>
>
>
>
>
> ________________________________
> "雪见"杨幂邀你共品3D国韵网游《天下贰》，海报免费领